Bug 126489 - Missing module like libip6t_REJECT.so
Summary: Missing module like libip6t_REJECT.so
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-22 12:48 UTC by Hans Ulrich Niedermann
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-22 15:29:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans Ulrich Niedermann 2004-06-22 12:48:28 UTC
Description of problem:
I noticed that "ip6tables -j REJECT" didn't work. Then I compared my
FC2 /lib/iptables with a Debian Sarge and found Debian has a lot more
modules installed.

Probably not all of these are required, but at least REJECT should be
available as a standard target, so I figure this is a bug.

/lib/iptables/libip6t_ah.so
/lib/iptables/libip6t_condition.so
/lib/iptables/libip6t_dst.so
/lib/iptables/libip6t_esp.so
/lib/iptables/libip6t_frag.so
/lib/iptables/libip6t_fuzzy.so
/lib/iptables/libip6t_hbh.so
/lib/iptables/libip6t_ipv6header.so
/lib/iptables/libip6t_nth.so
/lib/iptables/libip6t_random.so
/lib/iptables/libip6t_REJECT.so
/lib/iptables/libip6t_ROUTE.so
/lib/iptables/libip6t_rt.so


Version-Release number of selected component (if applicable):
iptables-ipv6-1.2.9-2.3.1

How reproducible:
Always

Steps to Reproduce:
1. Install iptables-ipv6
2. Run "ip6tables -A OUTPUT -j REJECT"

Actual Results:
ip6tables v1.2.9: Couldn't load target
`REJECT':/lib/iptables/libip6t_REJECT.so: cannot open shared object
file: No such file or directory

Try `ip6tables -h' or 'ip6tables --help' for more information.

Comment 1 Thomas Woerner 2004-06-22 15:29:00 UTC
The build environment of iptables does not build them by default. The
netfilter core team desired ip6t_REJECT unstable. Please have a look
at the CURRENT_ISSUES file:

    IPv6 REJECT target fix
        - important, it's a pity that it's still broken

I think we have to wait till there is a working version.


Comment 2 Kenneth Porter 2004-11-10 06:38:21 UTC
Just an FYI, here's the current status (see table entry "REJECT"):

http://www.netfilter.org/documentation/conferences/nf-workshop-2004-summary.html#AEN149


Note You need to log in before you can comment on or make changes to this bug.